Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.bridge
Class DataMapConverter

    java.lang.Object
      org.apache.cayenne.jpa.bridge.DataMapConverter

    public class DataMapConverter

extends Object

A converter between `JpaEntityMap` and Cayenne `DataMap`.

Author:
  Andrus Adamchik

Field Summary
`protected EntityMapLoaderContext` | `context`
`protected ProjectPath` | `targetPath`
`protected HierarchicalTreeVisitor` | `visitor`

Constructor Summary
`DataMapConverter()`

Method Summary
`protected HierarchicalTreeVisitor` | `createVisitor()` Creates a stateless instance of the JpaEntityMap traversal visitor.
`protected void` | `postprocess(DataMap dataMap)` Connects missing reverse relationships.
`protected void` | `recordConflict(ProjectPath path, String message)`
`DataMap` | `toDataMap(String name, EntityMapLoaderContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected EntityMapLoaderContext context

### targetPath

    protected ProjectPath targetPath

### visitor

    protected HierarchicalTreeVisitor visitor

Constructor Detail

### DataMapConverter

    public DataMapConverter()

Method Detail

### toDataMap

    public DataMap toDataMap(String name,
                             EntityMapLoaderContext context)

### postprocess

    protected void postprocess(DataMap dataMap)

  Connects missing reverse relationships.

### recordConflict

    protected void recordConflict(ProjectPath path,
                                  String message)

### createVisitor

    protected HierarchicalTreeVisitor createVisitor()

  Creates a stateless instance of the JpaEntityMap traversal visitor. This method is lazily invoked and cached by this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.